Bug 1812207 - iproute2: MPTCP path manager support
Summary: iproute2: MPTCP path manager support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iproute
Version: 8.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 8.3
Assignee: Andrea Claudi
QA Contact: xmu
URL:
Whiteboard:
Depends On:
Blocks: 1191716
TreeView+ depends on / blocked
 
Reported: 2020-03-10 18:45 UTC by Paolo Abeni
Modified: 2020-11-04 01:44 UTC (History)
6 users (show)

Fixed In Version: iproute-5.3.0-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:43:46 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Paolo Abeni 2020-03-10 18:45:15 UTC
the upcoming MPTCP PM netlink will require iproute support. 

mptcp PM netlink selftests can be used as a code reference/documentation for the relevant APIs

Comment 1 Andrea Claudi 2020-06-04 12:41:44 UTC
The following patches need to be backported:

7e0767cd862bb ("add support for mptcp netlink interface")
712fdd98c0839 ("ss: allow dumping MPTCP subflow information")
2d8b5fe93e9de ("man: mptcp man page")
02ade5a8ea1c2 ("Update kernel headers and import mptcp.h")
0c42c6b130196 ("man: ip.8: add reference to mptcp man-page")

Comment 7 errata-xmlrpc 2020-11-04 01:43:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (iproute bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4478


Note You need to log in before you can comment on or make changes to this bug.